List members
GET/v2/members
Retrieves a paginated list of the members in the authenticated organization’s book — identity, contact details, and address. The book covers members reached through an employer in the organization’s book as well as members of a group it owns. Supports free-text search (name, email, or exact member id).
List members
curl https://api.vitablehealth.com/v2/members \
-H "Authorization: Bearer $VITABLE_CONNECT_API_KEY"{
"data": [
{
"id": "mbr_abc123def456",
"first_name": "Jane",
"last_name": "Doe",
"email": "jane.doe@example.com",
"phone": "4155550100",
"address": {
"address_line_1": "123 Main Street",
"address_line_2": "Apt 4B",
"city": "San Francisco",
"state": "CA",
"zipcode": "94102"
}
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"total_pages": 1
}
}Returns Examples
{
"data": [
{
"id": "mbr_abc123def456",
"first_name": "Jane",
"last_name": "Doe",
"email": "jane.doe@example.com",
"phone": "4155550100",
"address": {
"address_line_1": "123 Main Street",
"address_line_2": "Apt 4B",
"city": "San Francisco",
"state": "CA",
"zipcode": "94102"
}
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"total_pages": 1
}
}